Power on a cloud instance

POST/v1/cloud_computing/instances/{instance_id}/switch_on

To power an instance on, send a POST request to /v1/cloud_computing/instances/{instance_id}/switch_on with an ID in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

instance_id*string

A unique identifier of a cloud instance.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/cloud_computing/instances/lNbW6Jay/switch_on"
{  "id": "lNbW6Jay",  "openstack_uuid": "6af56148-0bcc-4857-b2af-a01191dda64c",  "status": "SWITCHING_ON",  "name": "name1294",  "region_id": 0,  "region_code": "NL01",  "flavor_id": "101",  "flavor_name": "SSD.1",  "image_id": "f6c9c585-627a-4113-af8c-a475f5f73a21",  "image_name": null,  "public_ipv4_address": "95.164.144.53",  "private_ipv4_address": null,  "local_ipv4_address": "105.197.220.121",  "public_ipv6_address": null,  "ipv6_enabled": false,  "gpn_enabled": false,  "created_at": "2026-05-28T07:05:30Z",  "updated_at": "2026-05-28T07:05:30Z",  "backup_copies": 0,  "public_port_blocked": false,  "labels": {}}
{  "message": "Instance wrong status",  "code": "CONFLICT"}
{  "message": "Region in maintenance mode",  "code": "CLOUD_REGION_MAINTENANCE"}